generic logging for net-snmp(3)

NAME
generic logging for net-snmp -

  Defines
#define LOGLENGTH 1024
#define va_copy(dest, src) memcpy (&dest, &src, sizeof (va_list))
#define LOG_USER 0

  Functions
void netsnmp_enable_filelog (netsnmp_log_handler *logh, int dont_zero_log)
int vsnprintf (char *str, size_t count, const char *fmt, va_list arg)
void init_snmp_logging (void)
void shutdown_snmp_logging (void)
int decode_priority (char **optarg, int *pri_max)
int decode_facility (char *optarg)
int snmp_log_options (char *optarg, int argc, char *const *argv)
char * snmp_log_syslogname (const char *pstr)
void snmp_log_options_usage (const char *lead, FILE *outf)
int snmp_get_do_logging (void)
Is logging done?
void snmp_disable_syslog_entry (netsnmp_log_handler *logh)
void snmp_disable_syslog (void)
void snmp_disable_filelog_entry (netsnmp_log_handler *logh)
void snmp_disable_filelog (void)
int snmp_stderrlog_status (void)
void snmp_disable_stderrlog (void)
void snmp_disable_calllog (void)
void snmp_disable_log (void)
void netsnmp_logging_restart (void)
void snmp_enable_syslog (void)
void snmp_enable_syslog_ident (const char *ident, const int facility)
void snmp_enable_filelog (const char *logfilename, int dont_zero_log)
void snmp_enable_stderrlog (void)
void snmp_enable_calllog (void)
netsnmp_log_handler * netsnmp_find_loghandler (const char *token)
int netsnmp_add_loghandler (netsnmp_log_handler *logh)
netsnmp_log_handler * netsnmp_register_loghandler (int type, int priority)
int netsnmp_enable_loghandler (const char *token)
int netsnmp_disable_loghandler (const char *token)
int netsnmp_remove_loghandler (netsnmp_log_handler *logh)
int log_handler_stdouterr (netsnmp_log_handler *logh, int pri, const char *str)
int log_handler_syslog (netsnmp_log_handler *logh, int pri, const char *str)
int log_handler_file (netsnmp_log_handler *logh, int pri, const char *str)
int log_handler_callback (netsnmp_log_handler *logh, int pri, const char *str)
int log_handler_null (netsnmp_log_handler *logh, int pri, const char *str)
void snmp_log_string (int priority, const char *str)
int snmp_vlog (int priority, const char *format, va_list ap)
This snmp logging function allows variable argument list given the specified priority, format and a populated va_list structure.
int snmp_log (int priority, const char *format,...)
This snmp logging function allows variable argument list given the specified format and priority.
void snmp_log_perror (const char *s)
netsnmp_log_handler * get_logh_head (void)

  Variables
netsnmp_log_handler * logh_head = NULL
netsnmp_log_handler * logh_priorities [LOG_DEBUG+1]

Function Documentation

  void netsnmp_logging_restart (void)

hmm, don't zero status isn't saved.. i think it's safer not to overwrite, in case a hup is just to re-read config files...

Definition at line 632 of file snmp_logging.c.

  int snmp_get_do_logging (void)

Is logging done? Returns:
    Returns 0 if logging is off, 1 when it is done.

Definition at line 489 of file snmp_logging.c.

  int snmp_log (int priority, const char * format, ...)

This snmp logging function allows variable argument list given the specified format and priority. Calls the snmp_vlog function. The default logfile this function writes to is /var/log/snmpd.log.

See also:
    snmp_vlog

Examples:
delayed_instance.c.

Definition at line 1270 of file snmp_logging.c.

  int snmp_vlog (int priority, const char * format, va_list ap)

This snmp logging function allows variable argument list given the specified priority, format and a populated va_list structure. The default logfile this function writes to is /var/log/snmpd.log.

Parameters:
    priority is an integer representing the type of message to be written to the snmp log file. The types are errors, warning, and information.

    •   The error types are:

    •   LOG_EMERG system is unusable

    •   LOG_ALERT action must be taken immediately

    •   LOG_CRIT critical conditions

    •   LOG_ERR error conditions

    •   The warning type is:

    •   LOG_WARNING warning conditions

    •   The information types are:

    •   LOG_NOTICE normal but significant condition

    •   LOG_INFO informational

    •   LOG_DEBUG debug-level messages

    format is a pointer to a char representing the variable argument list format used.
    ap is a va_list type used to traverse the list of arguments.

Returns:
    Returns 0 on success, -1 when the code could not format the log- string, -2 when dynamic memory could not be allocated if the length of the log buffer is greater then 1024 bytes. For each of these errors a LOG_ERR messgae is written to the logfile.

See also:
    snmp_log

Definition at line 1210 of file snmp_logging.c.

Author

Generated automatically by Doxygen for net-snmp from the source code.